Upstream information

CVE-2019-12900 at MITRE

Description

BZ2_decompress in decompress.c in bzip2 through 1.0.6 has an out-of-bounds write when there are many selectors.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entries: 1139083 [IN_PROGRESS], 1149458 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2013
SUSE CaaS Platform 3.0
  • bzip2 >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
Patchnames:
SUSE-CAASP-3.0-2019-1955
SUSE-CAASP-3.0-2019-2013
SUSE Enterprise Storage 4
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-Storage-4-2019-1955
SUSE-Storage-4-2019-2013
SUSE Enterprise Storage 5
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-Storage-5-2019-1955
SUSE-Storage-5-2019-2013
SUSE Linux Enterprise Desktop 12 SP4
  • bzip2 >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1955
SUSE-SLE-DESKTOP-12-SP4-2019-2013
SUSE Linux Enterprise Module for Basesystem 15
  • bzip2 >= 1.0.6-5.9.1
  • libbz2-1 >= 1.0.6-5.9.1
  • libbz2-1-32bit >= 1.0.6-5.9.1
  • libbz2-devel >= 1.0.6-5.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1846
SUSE-SLE-Module-Basesystem-15-2019-2004
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • bzip2 >= 1.0.6-5.9.1
  • libbz2-1 >= 1.0.6-5.9.1
  • libbz2-1-32bit >= 1.0.6-5.9.1
  • libbz2-devel >= 1.0.6-5.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-1846
SUSE-SLE-Module-Basesystem-15-SP1-2019-2004
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • bzip2 >= 1.0.6-5.9.1
  • bzip2-doc >= 1.0.6-5.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1846
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2004
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • bzip2 >= 1.0.6-5.9.1
  • bzip2-doc >= 1.0.6-5.9.1
  • libbz2-devel-32bit >= 1.0.6-5.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1846
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2004
SUSE Linux Enterprise Point of Sale 11 SP3
  • bzip2 >= 1.0.5-34.256.8.1
  • bzip2-doc >= 1.0.5-34.256.8.1
  • libbz2-1 >= 1.0.5-34.256.8.1
Patchnames:
sleposp3-bzip2-14122
sleposp3-bzip2-14139
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1955
SUSE-SLE-POS-12-SP2-CLIENT-2019-2013
SUSE Linux Enterprise Server 11 SP4-LTSS
  • bzip2 >= 1.0.5-34.256.8.1
  • bzip2-doc >= 1.0.5-34.256.8.1
  • libbz2-1 >= 1.0.5-34.256.8.1
  • libbz2-1-32bit >= 1.0.5-34.256.8.1
Patchnames:
slessp4-bzip2-14122
slessp4-bzip2-14139
SUSE Linux Enterprise Server 12 SP1-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1955
SUSE-SLE-SERVER-12-SP1-2019-2013
SUSE Linux Enterprise Server 12 SP2-BCL
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1955
SUSE-SLE-SERVER-12-SP2-BCL-2019-2013
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1955
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2013
SUSE Linux Enterprise Server 12 SP2-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1955
SUSE-SLE-SERVER-12-SP2-2019-2013
SUSE Linux Enterprise Server 12 SP3-BCL
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2013
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2013
SUSE Linux Enterprise Server 12 SP3-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1955
SUSE-SLE-SERVER-12-SP3-2019-2013
SUSE Linux Enterprise Server 12 SP4
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1955
SUSE-SLE-SERVER-12-SP4-2019-2013
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • bzip2 >= 1.0.5-34.256.8.1
  • bzip2-doc >= 1.0.5-34.256.8.1
  • libbz2-1 >= 1.0.5-34.256.8.1
  • libbz2-1-32bit >= 1.0.5-34.256.8.1
Patchnames:
slessp4-bzip2-14122
slessp4-bzip2-14139
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1955
SUSE-SLE-SAP-12-SP1-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1955
SUSE-SLE-SERVER-12-SP1-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1955
SUSE-SLE-SAP-12-SP2-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1955
SUSE-SLE-SERVER-12-SP2-BCL-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1955
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1955
SUSE-SLE-SERVER-12-SP2-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-1955
SUSE-SLE-SAP-12-SP3-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1955
SUSE-SLE-SERVER-12-SP3-2019-2013
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1955
SUSE-SLE-SERVER-12-SP4-2019-2013
SUSE Linux Enterprise Software Development Kit 12 SP4
  • bzip2 >= 1.0.6-30.8.1
  • libbz2-devel >= 1.0.6-30.8.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1955
SUSE-SLE-SDK-12-SP4-2019-2013
SUSE OpenStack Cloud 7
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1955
SUSE-OpenStack-Cloud-7-2019-2013
SUSE OpenStack Cloud 8
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-1955
SUSE-OpenStack-Cloud-8-2019-2013
SUSE OpenStack Cloud Crowbar 8
  • bzip2 >= 1.0.6-30.8.1
  • bzip2-doc >= 1.0.6-30.8.1
  • libbz2-1 >= 1.0.6-30.8.1
  • libbz2-1-32bit >= 1.0.6-30.8.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2013
openSUSE Leap 15.0
  • bzip2 >= 1.0.6-lp150.4.9.1
  • bzip2-debuginfo >= 1.0.6-lp150.4.9.1
  • bzip2-debugsource >= 1.0.6-lp150.4.9.1
  • bzip2-doc >= 1.0.6-lp150.4.9.1
  • libbz2-1 >= 1.0.6-lp150.4.9.1
  • libbz2-1-32bit >= 1.0.6-lp150.4.9.1
  • libbz2-1-32bit-debuginfo >= 1.0.6-lp150.4.9.1
  • libbz2-1-debuginfo >= 1.0.6-lp150.4.9.1
  • libbz2-devel >= 1.0.6-lp150.4.9.1
  • libbz2-devel-32bit >= 1.0.6-lp150.4.9.1
Patchnames:
openSUSE-2019-1781
openSUSE-2019-1918
openSUSE Leap 15.1
  • bzip2 >= 1.0.6-lp151.5.9.1
  • bzip2-debuginfo >= 1.0.6-lp151.5.9.1
  • bzip2-debugsource >= 1.0.6-lp151.5.9.1
  • bzip2-doc >= 1.0.6-lp151.5.9.1
  • libbz2-1 >= 1.0.6-lp151.5.9.1
  • libbz2-1-32bit >= 1.0.6-lp151.5.9.1
  • libbz2-1-32bit-debuginfo >= 1.0.6-lp151.5.9.1
  • libbz2-1-debuginfo >= 1.0.6-lp151.5.9.1
  • libbz2-devel >= 1.0.6-lp151.5.9.1
  • libbz2-devel-32bit >= 1.0.6-lp151.5.9.1
Patchnames:
openSUSE-2019-1781
openSUSE-2019-1918


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 bzip2 Affected
CaaS Platform 2.0 bzip2 Affected
CaaS Platform 3.0 bzip2 Released
OpenStack Cloud Magnum Orchestration 7.0 bzip2 Affected
SUSE Linux Enterprise Desktop 12 SP3 bzip2 Affected
SUSE Linux Enterprise Desktop 12 SP4 bzip2 Released
SUSE Linux Enterprise Desktop 12 SP4 clamav Affected
SUSE Linux Enterprise High Performance Computing 12 bzip2 Released
SUSE Linux Enterprise High Performance Computing 12 clamav Affected
SUSE Linux Enterprise Module for Basesystem 15 GA bzip2 Released
SUSE Linux Enterprise Module for Basesystem 15 GA clamav Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 bzip2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 clamav Affected
SUSE Linux Enterprise SDK 12 SP3 bzip2 Affected
SUSE Linux Enterprise SDK 12 SP4 bzip2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS bzip2 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS bzip2 Released
SUSE Linux Enterprise Server 11 SP4 LTSS clamav Affected
SUSE Linux Enterprise Server 12 GA LTSS bzip2 In progress
SUSE Linux Enterprise Server 12 SP1 LTSS bzip2 Released
SUSE Linux Enterprise Server 12 SP1 LTSS clamav Affected
SUSE Linux Enterprise Server 12 SP2 LTSS bzip2 Released
SUSE Linux Enterprise Server 12 SP2 LTSS clamav Affected
SUSE Linux Enterprise Server 12 SP3 bzip2 Affected
SUSE Linux Enterprise Server 12 SP3 LTSS clamav Affected
SUSE Linux Enterprise Server 12 SP4 bzip2 Released
SUSE Linux Enterprise Server 12 SP4 clamav Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 bzip2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA bzip2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 bzip2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 clamav Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 bzip2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 clamav Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 bzip2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 clamav Affected